#ifndef REFSYS_H
#define REFSYS_H

#include <Vector>


using namespace Vector ;

class RefSys
{



   Vector3d
       origen ,
       eje[3] ;

   public:

   RefSys() ;

   RefSys
   (
       const Vector3d & _origen ,
       const Vector3d & _ejex ,
       const Vector3d & _ejey ,
       const Vector3d & _ejez
   ) ;

   RefSys Escalar
   (
       double ex,
       double ey,
       double ez

   )
       const ;


   RefSys DesplRotarY
   (
       double desplY ,
       double angRotaX ,
       double angRotaY
   )
       const ;


   Vector3d LeeEje
   (
      Axis e
   )
      const
   {
      return eje[unsigned(e)] ;
   }

   Vector3d LeeOrigen
   ()
      const
   {
      return origen ;
   }


   Vector3d VectorLocalAGlobal
   (
      const Vector3d & v
   )
      const ;

   Vector3d PuntoLocalAGlobal
   (
      const Vector3d & v
   )
      const ;

} ;




#endif
